Bug 245504 - www/nift: Update to 2.3.8
Summary: www/nift: Update to 2.3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-10 12:47 UTC by Mohammad S. Babaei
Modified: 2020-05-14 19:46 UTC (History)
2 users (show)

See Also:


Attachments
www/nift-2.2 to 2.3.1 patch file (3.32 KB, patch)
2020-04-10 12:47 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.2 to 2.3.6 patch file (4.30 KB, patch)
2020-04-28 05:37 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.2 to 2.3.7 patch file (8.63 KB, patch)
2020-05-02 02:24 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.2 to 2.3.7 patch file (10.33 KB, patch)
2020-05-02 03:06 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.2 to 2.3.8 patch file (12.14 KB, patch)
2020-05-07 03:26 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
nift 2.3.8 (7.93 KB, patch)
2020-05-08 06:05 UTC, Loïc Bartoletti
no flags Details | Diff
www/nift-2.2 to 2.3.8 patch file (10.58 KB, patch)
2020-05-10 06:44 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-04-10 12:47:34 UTC
Created attachment 213245 [details]
www/nift-2.2 to 2.3.1 patch file

Release Notes:

    added in pagination, including fns:
        item
        paginate
        paginate.no_items_per_page
        paginate.separator
        paginate.template
        and constants:
        paginate.no_items_per_page
        paginate.no_pages
        paginate.page
        paginate.page_no
        paginate.separator
    added in getenv, refresh_completions and replace_all functions
    added in sys fn for ExprTk
    added in exprtk and sys fns for Lua
    added in alternative way to define variables, now very similar to other languages
    added in way to add $[] print syntax with user-defined types
    added in f++/n++ options when defining structs/types
    added round option to exprtk fn
    fixed various bugs
    made various improvements

Assets (can also install through Homebrew on OSX, Chocolatey on Windows and Snapcraft/Flatpak on Linux):
Ubuntu: nift nsm (give executable permissions and place in /usr/local/bin)
Windows: lua51.dll nift.exe nsm.exe (place in C:\Windows\system32)
OSX: use Homebrew (brew install nift)
Comment 1 Tobias C. Berner freebsd_committer 2020-04-11 06:13:10 UTC
Moin moin 

====> Running Q/A tests (stage-qa)
Warning: Possible REINPLACE_CMD issues
sed failed: file content unchanged from backup: Makefile
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/libluajit-5.1.so.2


mfg Tobias
Comment 2 Mohammad S. Babaei 2020-04-28 05:37:08 UTC
Created attachment 213879 [details]
www/nift-2.2 to 2.3.6 patch file

Fixed and upgraded to 2.3.6
Comment 3 Mohammad S. Babaei 2020-05-02 02:24:24 UTC
Created attachment 214011 [details]
www/nift-2.2 to 2.3.7 patch file

This patch adds a BUNDLED_LUAJIT option which is enabled by default.

In addition to that the changelog for 2.3.7 is as follows:



Release Notes:

    fixed bug with retrieving present git branch when git is in another language
    cleaned up GitInfo.cpp
    changed new-cont-dir/new-output-dir to mve-cont-dir/mve-output-dir
    removed cp/copy mv/move rm/del from commands (use nift specific)
    added option to embed Lua 5.3 instead of LuaJIT at compile time
    fixed up options for compiling with system installed LuaJIT/5.3 instead of bundled version
    added options to compile version without clear lines, colours and/or progress
    added option to compile binary for Vercel's servers

Assets (can install through Homebrew on OSX, Chocolatey on Windows, Snapcraft/Flatpak on Linux and pkg on FreeBSD):
chocolatey.zip: (Release files for Chocolatey, see Windows.zip for Windows release)
Netlify.zip: nift nsm (for use on Netlify's servers)
OSX: use Homebrew (brew install nift) or install from source (make; sudo make install)
Ubuntu.zip: nift nsm (give executable permissions and place nift and nsm in /usr/local/bin)
Vercel.zip: nift nsm (for use on Vercel's servers)
Windows.zip: lua51.dll nift.exe nsm.exe (place in C:\Windows\system32)


https://github.com/nifty-site-manager/nsm/releases
Comment 4 Mohammad S. Babaei 2020-05-02 03:06:09 UTC
Created attachment 214012 [details]
www/nift-2.2 to 2.3.7 patch file

This patch adds the following options:

│ │────────────────────── Lua scripting language support ────────────────────│ │              
           │ │ (*) BUNDLED_LUAJIT  Use the bundled LuaJIT                               │ │              
           │ │ ( ) BUNDLED_LUA53   Use the bundled Lua 5.3                              │ │              
           │ │ ( ) PORTS_LUAJIT    Use LuaJIT from FreeBSD Ports                        │ │              
           │ │ ( ) PORTS_LUA53     Use Lua 5.3 from FreeBSD Ports
Comment 5 Loïc Bartoletti freebsd_committer 2020-05-02 06:40:28 UTC
(In reply to Mohammad S. Babaei from comment #4)
Thanks Mohammad,

As you could see in my previous commit, I made a small modification on the local base. Is it possible to replace /usr/local by %%LOCALBASE%%? Thank you in advance.

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#uses-localbase
Comment 6 Mohammad S. Babaei 2020-05-04 13:23:31 UTC
Thank you for letting me know. Yes, it's perfectly fine as long as the FreeBSD ports replace it with the actual value.

Do I have to submit a new patch?
Comment 7 Loïc Bartoletti freebsd_committer 2020-05-05 07:22:13 UTC
(In reply to Mohammad S. Babaei from comment #6)

> Do I have to submit a new patch?

yes, please
Comment 8 Mohammad S. Babaei 2020-05-07 03:26:52 UTC
Created attachment 214219 [details]
www/nift-2.2 to 2.3.8 patch file

OK, here is the new patch for 2.3.8 release with respect to %%LOCALBASE%% which adds the following options, added by the upstream, in order to better support FreeBSD:

(*) BUNDLED_LUAJIT  Use the bundled LuaJIT
( ) BUNDLED_LUA53   Use the bundled Lua 5.3
( ) PORTS_LUAJIT    Use LuaJIT from FreeBSD Ports
( ) PORTS_LUA53     Use Lua 5.3 from FreeBSD Ports
( ) PORTS_LUA52     Use Lua 5.2 from FreeBSD Ports
( ) PORTS_LUA51     Use Lua 5.1 from FreeBSD Ports
Comment 9 Loïc Bartoletti freebsd_committer 2020-05-08 06:05:02 UTC
Created attachment 214256 [details]
nift 2.3.8

Can you take a look at this new patch? Yours didn't apply correctly.

I alos modified the options part, https://www.freebsd.org/doc/en/books/porters-handbook/book.html#options-use
Comment 10 Mohammad S. Babaei 2020-05-10 06:32:34 UTC
Sorry for the tardy response. Interstingly, your patch failed to apply for me too. I'll try to merge it manually and report back.
Comment 11 Mohammad S. Babaei 2020-05-10 06:44:38 UTC
Created attachment 214330 [details]
www/nift-2.2 to 2.3.8 patch file

OK, I figured why the patch won't apply. I created my patch against nift directory, you created it against www/nift directory.

Anyway, there was one issue with your patch which I did fix it. In case the two first options are chosen MAKE_JOBS_UNSAFE=yes is required or else the build will fail.

I created the new patch against www/nift. Please let me know if there are more issues. Thank you so much!
Comment 12 commit-hook freebsd_committer 2020-05-14 19:45:39 UTC
A commit references this bug:

Author: lbartoletti
Date: Thu May 14 19:44:57 UTC 2020
New revision: 535253
URL: https://svnweb.freebsd.org/changeset/ports/535253

Log:
  PR:             245504
  Submitted by:   info@babaei.net (maintainer)
  Approved by:    tcberner (mentor)
  Differential Revision:  D24632

Changes:
  head/www/nift/Makefile
  head/www/nift/distinfo
  head/www/nift/files/patch-Makefile
Comment 13 Loïc Bartoletti freebsd_committer 2020-05-14 19:46:04 UTC
Committed, Thanks!